Assignee:    

Category:    

Target version:    

Triaged: No Found in Releases:  

Fixed in Releases:    

Description

hello,

I am trying to install Foreman server 1.19 on Ubuntu 18 bionic,

i coudnt complete the installtion , at the ind of installtion # sudo apt-get install foreman-install

an error appear (

The following packages have unmet dependencies:

foreman-installer : Depends: ruby-kafo (>= 1.0.5) but it is not going to be installed

E: Unable to correct problems, you have held broken packages.   )

i tried to change the mirror and change ruby-kafy but the error still there

any help please

Related issues:

Related to Website - Bug #25041: dependency problems in 1.19 with Ubuntu 18.04 Closed

History

#1 - 09/28/2018 12:46 PM - majed shamsi

- Related to Bug #25041: dependency problems in 1.19 with Ubuntu 18.04 added

#2 - 09/28/2018 11:54 PM - Anonymous

- Tracker changed from Bug to Support

- Category deleted (65)

- Status changed from New to Feedback

- Assignee deleted (Martin Bacovsky)

- Priority changed from Urgent to Low

I can't reproduce on a fresh, clean bionic VM:

[...]

root@jack-tinstman:/tmp# apt-get -y install foreman-installer

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following additional packages will be installed:

  curl fonts-lato javascript-common libcurl4 libgdbm-compat4 libjs-jquery libnghttp2-14 librtmp1 libruby2.5 pu

ppet-agent rake ruby ruby-ansi ruby-clamp ruby-did-you-mean ruby-hashie ruby-highline ruby-kafo ruby-kafo-pars

ers ruby-kafo-wizards

  ruby-little-plugger ruby-logging ruby-minitest ruby-multi-json ruby-net-telnet ruby-oj ruby-power-assert rub

y-powerbar ruby-test-unit ruby2.5 rubygems-integration unzip zip

Suggested packages:

  apache2 | lighttpd | httpd ri ruby-dev ruby-activesupport bundler

The following NEW packages will be installed:

  curl fonts-lato foreman-installer javascript-common libcurl4 libgdbm-compat4 libjs-jquery libnghttp2-14 libr

tmp1 libruby2.5 puppet-agent rake ruby ruby-ansi ruby-clamp ruby-did-you-mean ruby-hashie ruby-highline ruby-k

afo ruby-kafo-parsers

  ruby-kafo-wizards ruby-little-plugger ruby-logging ruby-minitest ruby-multi-json ruby-net-telnet ruby-oj rub

y-power-assert ruby-powerbar ruby-test-unit ruby2.5 rubygems-integration unzip zip

0 upgraded, 34 newly installed, 0 to remove and 0 not upgraded.

Need to get 25.6 MB of archives.

After this operation, 139 MB of additional disk space will be used.
Get:1 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 fonts-lato all 2.0-2 [2,698 kB]

Get:2 http://apt.puppetlabs.com bionic/puppet5 amd64 puppet-agent amd64 5.5.6-1bionic [17.3 MB]

Get:3 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 libnghttp2-14 amd64 1.30.0-1ubuntu1 [77.8 kB]

Get:4 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 librtmp1 amd64 2.4+20151223.gitfa8646d.1-1 [54.2

 kB]

Get:5 http://ubuntu.mirror.lrz.de:80/ubuntu bionic-updates/main amd64 libcurl4 amd64 7.58.0-2ubuntu3.3 [214 kB

]

Get:6 http://ubuntu.mirror.lrz.de:80/ubuntu bionic-updates/main amd64 curl amd64 7.58.0-2ubuntu3.3 [159 kB]

Get:7 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 rubygems-integration all 1.11 [4,994 B]

Get:8 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 rake all 12.3.1-1 [45.1 kB]              

Get:9 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 ruby-did-you-mean all 1.2.0-2 [9,700 B]

Get:10 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 ruby-minitest all 5.10.3-1 [38.6 kB] 

Get:11 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 ruby-net-telnet all 0.1.1-2 [12.6 kB]

Get:12 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 ruby-power-assert all 0.3.0-1 [7,952 B]

Get:13 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 ruby-test-unit all 3.2.5-1 [61.1 kB]  

Get:14 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 libgdbm-compat4 amd64 1.14.1-6 [6,084 B]

Get:15 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 libruby2.5 amd64 2.5.1-1ubuntu1 [3,066 kB]

Get:16 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 ruby2.5 amd64 2.5.1-1ubuntu1 [48.6 kB]

Get:17 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 ruby amd64 1:2.5.1 [5,712 B]

Get:18 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/universe amd64 ruby-clamp all 1.1.1-1 [17.4 kB]

Get:19 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/universe amd64 ruby-highline all 1.7.8-1 [40.7 kB]

Get:20 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/universe amd64 ruby-little-plugger all 1.1.4-1 [6,860 B]

Get:21 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/universe amd64 ruby-multi-json all 1.12.1-1 [15.5 kB]

Get:22 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/universe amd64 ruby-logging all 2.2.2-1 [54.7 kB]

Get:23 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/universe amd64 ruby-ansi all 1.5.0-1 [33.0 kB]

Get:24 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/universe amd64 ruby-hashie all 3.5.5-2 [32.9 kB]

Get:25 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/universe amd64 ruby-powerbar all 1.0.18-1 [7,518 B]

Get:26 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 javascript-common all 11 [6,066 B]

Get:27 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 libjs-jquery all 3.2.1-1 [152 kB]     

Get:28 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/universe amd64 ruby-oj amd64 3.4.0-1build1 [112 kB]

Get:29 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 unzip amd64 6.0-21ubuntu1 [167 kB]

Get:30 http://ubuntu.mirror.lrz.de:80/ubuntu bionic/main amd64 zip amd64 3.0-11build1 [167 kB]

Get:31 http://deb.theforeman.org bionic/1.19 amd64 ruby-kafo-parsers all 0.1.6-1 [7,460 B]

Get:32 http://deb.theforeman.org bionic/1.19 amd64 ruby-kafo-wizards all 0.0.1-1 [8,208 B]

Get:33 http://deb.theforeman.org bionic/1.19 amd64 ruby-kafo all 2.1.0-1 [38.3 kB]

Get:34 http://deb.theforeman.org bionic/1.19 amd64 foreman-installer all 1.19.0-1 [855 kB]

Fetched 25.6 MB in 1s (20.9 MB/s)  

[...]

#3 - 10/30/2018 11:34 AM - Marcus Hann

I ran into this too, with a fresh install of the 18.04.1 LTS release of Ubuntu installed via the minimal installer.

For me it was caused by not having the universe repository enabled. To fix this you can just run 'sudo add-apt-repository universe' and then do an apt

update.

Maybe this is something that could be mentioned in the ubuntu install documentation?
